Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.wih.util
Class HumanTaskHandlerHelper

    java.lang.Object
      org.jbpm.services.task.wih.util.HumanTaskHandlerHelper

    public class HumanTaskHandlerHelper

extends Object

Constructor Summary
`HumanTaskHandlerHelper()`

Method Summary
`protected static Map<String,String>` | `asMap(String parsableString)`
`protected static List<org.kie.internal.task.api.model.Deadline>` | `parseDeadlineString(String deadlineInfo, List<OrganizationalEntity> businessAdministrators, Environment environment)`
`protected static List<org.kie.internal.task.api.model.Notification>` | `parseNotifications(String notificationString, List<OrganizationalEntity> businessAdministrators)`
`protected static List<org.kie.internal.task.api.model.Reassignment>` | `parseReassignment(String reassignString)`
`static org.kie.internal.task.api.model.Deadlines` | `setDeadlines(WorkItem workItem, List<OrganizationalEntity> businessAdministrators, Environment environment)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HumanTaskHandlerHelper

    public HumanTaskHandlerHelper()

Method Detail

### setDeadlines

    public static org.kie.internal.task.api.model.Deadlines setDeadlines(WorkItem workItem,
                                                                         List<OrganizationalEntity> businessAdministrators,
                                                                         Environment environment)

### parseDeadlineString

    protected static List<org.kie.internal.task.api.model.Deadline> parseDeadlineString(String deadlineInfo,
                                                                                        List<OrganizationalEntity> businessAdministrators,
                                                                                        Environment environment)

### parseNotifications

    protected static List<org.kie.internal.task.api.model.Notification> parseNotifications(String notificationString,
                                                                                           List<OrganizationalEntity> businessAdministrators)

### parseReassignment

    protected static List<org.kie.internal.task.api.model.Reassignment> parseReassignment(String reassignString)

### asMap

    protected static Map<String,String> asMap(String parsableString)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.